[arch-commits] Commit in liquidwar/repos (6 files)

Eric Bélanger eric at archlinux.org
Mon Oct 17 21:14:16 EDT 2011


    Date: Monday, October 17, 2011 @ 21:14:15
  Author: eric
Revision: 140670

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  liquidwar/repos/staging-i686/
  liquidwar/repos/staging-i686/PKGBUILD
    (from rev 140669, liquidwar/trunk/PKGBUILD)
  liquidwar/repos/staging-i686/liquidwar.install
    (from rev 140669, liquidwar/trunk/liquidwar.install)
  liquidwar/repos/staging-x86_64/
  liquidwar/repos/staging-x86_64/PKGBUILD
    (from rev 140669, liquidwar/trunk/PKGBUILD)
  liquidwar/repos/staging-x86_64/liquidwar.install
    (from rev 140669, liquidwar/trunk/liquidwar.install)

----------------------------------+
 staging-i686/PKGBUILD            |   30 ++++++++++++++++++++++++++++++
 staging-i686/liquidwar.install   |   16 ++++++++++++++++
 staging-x86_64/PKGBUILD          |   30 ++++++++++++++++++++++++++++++
 staging-x86_64/liquidwar.install |   16 ++++++++++++++++
 4 files changed, 92 insertions(+)

Copied: liquidwar/repos/staging-i686/PKGBUILD (from rev 140669, liquidwar/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2011-10-18 01:14:15 UTC (rev 140670)
@@ -0,0 +1,30 @@
+# $Id$
+# Maintainer: Jeff Mickey <jeff at archlinux.org>
+
+pkgname=liquidwar
+pkgver=5.6.4
+pkgrel=5
+pkgdesc="A unique multiplayer wargame"
+arch=('i686' 'x86_64')
+url="http://www.ufoot.org/liquidwar/"
+license=('GPL')
+depends=('allegro4')
+makedepends=('python2')
+install=liquidwar.install
+source=(http://www.ufoot.org/download/$pkgname/v5/$pkgver/$pkgname-$pkgver.tar.gz
+        http://www.ufoot.org/sig/$pkgname-$pkgver.tar.gz.sig)
+sha1sums=('a3006c4da9517c3af3b7bf165b2c86fa369a71c6'
+          'a262967d60e0f04ac5b99693144ef6b0038bb6c4')
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+  sed -i 's/python/python2/' doc/Makefile.in
+  [ "$CARCH" == "x86_64" ] && EXTRAOPTS="--disable-asm"
+  LIBS='-lm' PYTHON=yes ./configure --prefix=/usr $EXTRAOPTS
+  make GAMEDIR=/usr/bin DATADIR=/usr/share/liquidwar
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver"
+  make DESTDIR="$pkgdir" GAMEDIR=/usr/bin DATADIR=/usr/share/liquidwar install_nolink
+}

Copied: liquidwar/repos/staging-i686/liquidwar.install (from rev 140669, liquidwar/trunk/liquidwar.install)
===================================================================
--- staging-i686/liquidwar.install	                        (rev 0)
+++ staging-i686/liquidwar.install	2011-10-18 01:14:15 UTC (rev 140670)
@@ -0,0 +1,16 @@
+infodir=usr/share/info
+file=(liquidwar.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info $infodir/$file $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+}

Copied: liquidwar/repos/staging-x86_64/PKGBUILD (from rev 140669, liquidwar/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2011-10-18 01:14:15 UTC (rev 140670)
@@ -0,0 +1,30 @@
+# $Id$
+# Maintainer: Jeff Mickey <jeff at archlinux.org>
+
+pkgname=liquidwar
+pkgver=5.6.4
+pkgrel=5
+pkgdesc="A unique multiplayer wargame"
+arch=('i686' 'x86_64')
+url="http://www.ufoot.org/liquidwar/"
+license=('GPL')
+depends=('allegro4')
+makedepends=('python2')
+install=liquidwar.install
+source=(http://www.ufoot.org/download/$pkgname/v5/$pkgver/$pkgname-$pkgver.tar.gz
+        http://www.ufoot.org/sig/$pkgname-$pkgver.tar.gz.sig)
+sha1sums=('a3006c4da9517c3af3b7bf165b2c86fa369a71c6'
+          'a262967d60e0f04ac5b99693144ef6b0038bb6c4')
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+  sed -i 's/python/python2/' doc/Makefile.in
+  [ "$CARCH" == "x86_64" ] && EXTRAOPTS="--disable-asm"
+  LIBS='-lm' PYTHON=yes ./configure --prefix=/usr $EXTRAOPTS
+  make GAMEDIR=/usr/bin DATADIR=/usr/share/liquidwar
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver"
+  make DESTDIR="$pkgdir" GAMEDIR=/usr/bin DATADIR=/usr/share/liquidwar install_nolink
+}

Copied: liquidwar/repos/staging-x86_64/liquidwar.install (from rev 140669, liquidwar/trunk/liquidwar.install)
===================================================================
--- staging-x86_64/liquidwar.install	                        (rev 0)
+++ staging-x86_64/liquidwar.install	2011-10-18 01:14:15 UTC (rev 140670)
@@ -0,0 +1,16 @@
+infodir=usr/share/info
+file=(liquidwar.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info $infodir/$file $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+}



More information about the arch-commits mailing list